Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.permissionsmanager
Class CPermissionsManager

    java.lang.Object
      org.jasig.portal.channels.permissionsmanager.CPermissionsManager

All Implemented Interfaces:
  ICacheable, IChannel

Direct Known Subclasses:
  CPermissionsManagerServant

    public class CPermissionsManager

extends java.lang.Object
implements IChannel, ICacheable

CPermissionsManager allows graphical administration of permissions for all owners that have a representative implementation of IPermissible recorded in the table UPC_PERM_MGR

Version:
  $Revision: 1.20 $
Author:
  Alex Vigdor

Field Summary
`private static org.apache.commons.logging.Log` | `log`
`protected PermissionsSessionData` | `session`
`protected java.lang.String` | `sslLocation`

Constructor Summary
`CPermissionsManager()` put your documentation comment here

Method Summary
`ChannelCacheKey` | `generateKey()` put your documentation comment here
`protected void` | `getGroupServantResults(PermissionsSessionData session)`
`ChannelRuntimeProperties` | `getRuntimeProperties()` put your documentation comment here
`boolean` | `isCacheValid(java.lang.Object validity)` put your documentation comment here
`protected void` | `populateMembers(java.util.ArrayList gmembers, IAuthorizationPrincipal[] aps)`
`protected void` | `prepServant(PermissionsSessionData session)`
`void` | `receiveEvent(PortalEvent portalEvent)` put your documentation comment here
`void` | `renderXML(org.xml.sax.ContentHandler out)` put your documentation comment here
`void` | `setRuntimeData(ChannelRuntimeData rD)` put your documentation comment here
`void` | `setStaticData(ChannelStaticData sD)` put your documentation comment here
`protected void` | `transform(XSLT xslt)` put your documentation comment here

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### session

    protected PermissionsSessionData session

### sslLocation

    protected final java.lang.String sslLocation

See Also:
  Constant Field Values

Constructor Detail

### CPermissionsManager

    public CPermissionsManager()

  put your documentation comment here

Method Detail

### setRuntimeData

    public void setRuntimeData(ChannelRuntimeData rD)

  put your documentation comment here

  Specified by:
    `setRuntimeData` in interface `IChannel`
  Parameters:
    `rD` -
  See Also:
    `ChannelRuntimeData`

### prepServant

    protected void prepServant(PermissionsSessionData session)

### populateMembers

    protected void populateMembers(java.util.ArrayList gmembers,
                                   IAuthorizationPrincipal[] aps)

### getGroupServantResults

    protected void getGroupServantResults(PermissionsSessionData session)

### receiveEvent

    public void receiveEvent(PortalEvent portalEvent)

  put your documentation comment here

  Specified by:
    `receiveEvent` in interface `IChannel`
  Parameters:
    `portalEvent` -
  See Also:
    `PortalEvent`

### getRuntimeProperties

    public ChannelRuntimeProperties getRuntimeProperties()

  put your documentation comment here

  Specified by:
    `getRuntimeProperties` in interface `IChannel`
  Returns:
    a new `ChannelRuntimeProperties`
  See Also:
    `ChannelRuntimeProperties`

### renderXML

    public void renderXML(org.xml.sax.ContentHandler out)

  put your documentation comment here

  Specified by:
    `renderXML` in interface `IChannel`
  Parameters:
    `out` -

### transform

    protected void transform(XSLT xslt)

  put your documentation comment here

  Parameters:
    `xslt` -

### setStaticData

    public void setStaticData(ChannelStaticData sD)

  put your documentation comment here

  Specified by:
    `setStaticData` in interface `IChannel`
  Parameters:
    `sD` -
  See Also:
    `ChannelStaticData`

### generateKey

    public ChannelCacheKey generateKey()

  put your documentation comment here

  Specified by:
    `generateKey` in interface `ICacheable`
  Returns:
    a `ChannelCacheKey` used to lookup Channels from the cache

### isCacheValid

    public boolean isCacheValid(java.lang.Object validity)

  put your documentation comment here

  Specified by:
    `isCacheValid` in interface `ICacheable`
  Parameters:
    `validity` -
  Returns:
    `true` if cache is valid; `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD